<template>
	<div>
		<input type="string" id="searchbar" v-model="searchString">
		<div class="container">
			<div class="col-md-11">
				<h3>Explore our hotels</h3>
				<h4 class="text-danger">Find the hotel that suits you best!</h4>
			</div>
		</div>
		<div class="explore">
				<HotelComponent v-for="(hotel,key) in filteredHotels" :key="key" :hotel="hotel"></HotelComponent>
		</div>
	</div>
</template>

<script >
	
	import HotelComponent from "@/components/hotelcomponent.vue";
	import Hotel from "@/models/Hotel.js";
	import axios from "axios";

export default {
	name: 'explore',
	components: {
		HotelComponent
	},
	props: {
		searchFor: {
			type: String,
			required: false,
		}
	},
	data(){
		return{
			hotels: [],
			searchString: '',
		};
	},
	
	computed: {
		filteredHotels() {
			return this.hotels.filter((hotel) => {
				return hotel.name.toLowerCase().includes(this.searchString.toLowerCase())				
			});
		}
	},

	beforeMount(){
		if(this.searchFor != null){
			this.searchString = this.searchFor;
		}
	},

	mounted(){
		axios.get('data/data.json').then((response) => {
			this.hotels = response.data.map(Hotel.fromJson)}
			).catch((err) =>{
				console.log(err);
			})

			
	}
	

};

</script>
